> ## Documentation Index
> Fetch the complete documentation index at: https://docs.energy.nayax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Invite codes

> Generate invite codes for private charging or price adjustment purposes.



## OpenAPI

````yaml /api/specs/identity-api.json post /identity/v1/invite-codes
openapi: 3.0.0
info:
  title: Lynkwell API
  version: 1.376.0
  description: API Documentation for identity service
servers:
  - url: https://api.lynkwell.com
security: []
tags: []
paths:
  /identity/v1/invite-codes:
    post:
      tags:
        - Invite Code
      summary: Generate Invite codes
      description: Generate invite codes for private charging or price adjustment purposes.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateInviteCodeParams'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: string
                    description: The URL or location of the newly generated invite codes.
        '400':
          description: Bad Request
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
      security:
        - jwt: []
components:
  schemas:
    CreateInviteCodeParams:
      type: object
      properties:
        type:
          type: string
          enum:
            - PRIVATE_CHARGING
            - PRICING_ADJUSTMENT
        referenceId:
          type: string
        numberOfCodes:
          type: number
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````